<?php

$lang['Title'] = 'Register FluxBB';
$lang['Disclaimer'] = '
Step 1 : Set plug-in with the parameters of FluxBB.<br/>
Step 2 : Migrating user accounts of the PWG to FluxBB.<br/>
Step 3 : Synchronize tables (in case an addition, updating or deleting user wasn\'t ok) enables to update password, and email and see users intruder (But you shouldn\'t have to use it).<br/>
<br/>
Following the 2 main stages, the plug-in is fully functional and you will not have to return to this page.';

$lang['Config_Title'] = 'Step 1 : Set plug-in';
$lang['Config_Disclaimer'] = '
Check the settings on your FluxBB installation and correct if necessary. <br/>
Change, if any, the behavior of the plug at your convenience.';
$lang['FluxBB_Prefix'] = 'FluxBB Prefix tables :';
$lang['FluxBB_Admin1'] = 'Username of the PWG administrator.';
$lang['FluxBB_Admin2'] = '<b><u>Must be identical to the FluxBB adminnistrator usernam</u></b> :';

$lang['FluxBB_id_default_group'] = 'ID of the default group. If you didn\'t make modifications into FluxBB, by default, 4 corresponds to the members group :';
$lang['FluxBB_email_setting'] = 'Parameter of emails visibility';
$lang['FluxBB_email_setting_0'] = ' --&gt; To display your address e-mail.';
$lang['FluxBB_email_setting_1'] = ' --&gt; Hide your e-mail address but to allow the form e-mail.';
$lang['FluxBB_email_setting_2'] = ' --&gt; Hide your e-mail address and forbid the form e-mail.';
$lang['FluxBB_Save_Pass'] = 'Parameter to save the password';
$lang['FluxBB_Save_Pass_0'] = ' --&gt; Do not memorize the username and the password between visits.';
$lang['FluxBB_Save_Pass_1'] = ' --&gt; Memorize the username and the password between the visits.';
$lang['FluxBB_Timezone'] = 'Time zone (de -12  14) :';
$lang['FluxBB_Language'] = 'Language (French, English) :';
$lang['FluxBB_Style'] = 'Forum style ID (1 by default) :';
$lang['FluxBB_Del_Pt'] = 'Delete user topics and posts when user is deleted.';
$lang['FluxBB_Del_Pt_true'] = ' --&gt; Delete all';
$lang['FluxBB_Del_Pt_false'] = ' --&gt; Do not delete topics and posts';
$lang['FluxBB_Confirm'] = 'Removing confirmations on the actions of administration in the audit.';
$lang['FluxBB_Confirm_true'] = ' --&gt; Removes confirmations';
$lang['FluxBB_Confirm_false'] = ' --&gt; Confirmation required before action in the audit';
$lang['Register_FluxBB_save_config'] ='Configuration saved.';


$lang['Migration10'] = '<b>Piwigo to FluxBB accounts migration</b><br/>';
$lang['Migration20'] = '<b>Removal of association Piwigo = FluxBB</b> ';
$lang['Migration30'] = '<b>Removing FluxBB accounts</b>';
$lang['Migration31'] = '<b>Removing account :</b> ';
$lang['Migration40'] = '<b>Transferring Piwigo accounts</b>';
$lang['Migration41'] = '<b>Transferring account :</b> ';
$lang['Migration50'] = '<b>Migration done !</b>';
$lang['Migration_Btn'] = 'Migration';
$lang['Migration_Title'] = 'Step 2 : Piwigo to FluxBB accounts migration';
$lang['Migration_Text'] = '
<u>Your never used this plugin to link Piwigo to FluxBB</u><br/>
<br/>
-> In that way, your FluxBB [PrefixFluxBB]_users table have to be empty of all users accounts except the Anonymus and Administrator accounts.<br/>
- First, the migration process will delete the accounts association between Piwigo and FluxBB.<br/>
- Then will <b>DELETE ALL FluxBB ACCOUNTS</b> except the Anonymus and Administrator accounts.<br/>
<center><b>!!! TAKE CARE IF YOU HAVE SOME PARTICULAR ACCOUTS IN FluxBB !!!</b></center><br/>
- Finally, the migration process will create all Piwigo accounts in FluxBB, except for the Guest account.<br/>
<br/>
If errors remain during the process, do the related corrections and launch again the migration process (redo migration only if detected errors are resolved)..<br/>';
$lang['Migration_Disclaimer'] = '<b>!!! NEVER LAUNCH A MIGRATION FOR UPGRADING !!!</b>';


$lang['Synchro10'] = '<b>Accounts synchronization form Piwigo to FluxBB</b><br/><br/>';
$lang['Synchro20'] = '<b>Removing Piwigo = FluxBB associations</b><br/><br/>';
$lang['Synchro30'] = '<b>Analysis of Piwigo\'s accounts</b>';
$lang['Synchro35'] = 'Synchronization of account : ';
$lang['Synchro40'] = '<b>Synchronization done !</b><br/><br/>';
$lang['Synchro_Btn'] = 'Synchronization';
$lang['Synchro_Title'] = 'Step 2 : Piwigo to FluxBB accounts synchronization';
$lang['Synchro_Text'] = '
<u>You\'ve already used the plugin to connect Piwigo to FluxBB</u><br/>
<br/> -> This means you already have a Piwigo to FluxBB user\'s accounts relationship database table.<br/>
- The synchronization process will detect the available datas by comparing the user names, their (encrypted)password and their email address in this two [PrefixPWG]_users and [PrefixFluxBB]_users tables.<br/>
- Then will update this table of correspondence as well as the password and email address of each account from the PWG to FluxBB except PWG Guest and FluxBB Anonymous<br/>
- Then show the orphaned accounts that exist only in one of the 2 tables ###_User.<br/>
<br/>
At the end of the operation launch an audit, please check for possible duplicates in FluxBB users. If so, delete the oldest (sorting FluxBB users based on their date of registration).<br/>';


$lang['Audit10'] = '<b>Audit of the association table between Piwigo and FluxBB accounts</b>';
$lang['Audit20'] = '<b>Audit of the association table for duplicates</b>';
$lang['Audit30'] = '<b>Audit of the passwords and mail synchronization between Piwigo and FluxBB accounts</b>';
$lang['Audit40'] = '<b>Audit of the existing Piwigo accounts and missing in FluxBB</b>';
$lang['Audit50'] = '<b>Audit of the existing FluxBB accounts and missing in Piwigo</b>';
$lang['Audit_Btn'] = 'Audit';
$lang['link_dup'] = 'Clean duplicates for : ';
$lang['link_bad'] = 'Crossing informations : ';
$lang['sync_user'] = 'Account synchronization : ';
$lang['add_user'] = 'Account added in FluxBB : ';
$lang['delete_user'] = 'Account deleted from FluxBB : ';
$lang['PWGuserNotInFluxBB_Error'] = '<b>This Piwigo account does not exist in FluxBB :</b> ';
$lang['FluxBBuserNotInPWG_Error'] = '<b>This FluxBB account does not exist in Piwigo :</b> ';
$lang['Synchro_Error'] = '<b>Synchronization error for this account :</b> ';
$lang['linkbad_Error'] = '<b>Errors in association table between this 2 users :</b> ';
$lang['linkbad_advise'] = '<b>You have to make corrections so that the link between Piwigo and FluxBB be OK <br> Use a database management utility to correct user accounts directly in the ###_User tables.</b>';
$lang['linkdup_Error'] = '<b>Errors in association table, there are duplicates entries :</b> ';
$lang['SynchroPassword_Error'] = 'with the password';
$lang['SynchroMail_Error'] = 'with the email address';
$lang['SynchroOK'] = '<b>Synchronization is OK for this account :</b> ';
$lang['Register_FluxBB_audit_ok'] = 'Audit OK<br/><br/>';

?>
